petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSCreateQuadratureTS

Create a sub-TS that evaluates integrals over time

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSCreateQuadratureTS(TS ts,PetscBool fwd,TS *quadts)

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| fwd | - flag indicating whether to evaluate cost integral in the forward run or the adjoint run

### Output Parameters

quadts -the child TS context

### See Also

TSGetQuadratureTS()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages